<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::Impl::MatcherUntypedBase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></li><li class="navelem"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::Impl::MatcherUntypedBase Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Matchers::Impl::MatcherUntypedBase:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase__inherit__graph.png" border="0" usemap="#Catch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase_inherit__map" id="Catch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase_inherit__map">
<area shape="rect" title=" " alt="" coords="5,581,176,622"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="261,385,425,426"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="255,450,430,491"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="248,515,437,557"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="224,581,461,622"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="237,646,448,687"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="243,712,442,768"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html" title=" " alt="" coords="243,792,442,848"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html" title=" " alt="" coords="526,5,731,61"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html" title=" " alt="" coords="517,86,740,127"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html" title=" " alt="" coords="519,151,739,193"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html" title=" " alt="" coords="515,217,743,258"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html" title=" " alt="" coords="536,282,721,323"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html" title=" " alt="" coords="519,347,738,389"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html" title=" " alt="" coords="531,413,726,469"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html" title=" " alt="" coords="531,493,727,549"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html" title=" " alt="" coords="529,573,728,629"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html" title=" " alt="" coords="527,653,731,709"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html" title=" " alt="" coords="531,733,727,789"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html" title=" " alt="" coords="509,813,748,869"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1ContainsMatcher.html" title=" " alt="" coords="796,323,991,365"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1EndsWithMatcher.html" title=" " alt="" coords="796,389,991,430"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1EqualsMatcher.html" title=" " alt="" coords="796,454,991,495"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html" title=" " alt="" coords="796,519,991,561"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab65764dc245d85e2b268d3be870b650a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a> ()=default</td></tr>
<tr class="separator:ab65764dc245d85e2b268d3be870b650a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985fd3c3ffcc9f2e8dc7a330130040b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=default</td></tr>
<tr class="separator:a985fd3c3ffcc9f2e8dc7a330130040b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62668ccc47b64a9094dcb6413f9af80b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=delete</td></tr>
<tr class="separator:a62668ccc47b64a9094dcb6413f9af80b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5982c7c80ca71dfe2298babadad7a453"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a> () const</td></tr>
<tr class="separator:a5982c7c80ca71dfe2298babadad7a453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab65764dc245d85e2b268d3be870b650a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a> ()=default</td></tr>
<tr class="separator:ab65764dc245d85e2b268d3be870b650a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985fd3c3ffcc9f2e8dc7a330130040b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=default</td></tr>
<tr class="separator:a985fd3c3ffcc9f2e8dc7a330130040b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62668ccc47b64a9094dcb6413f9af80b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=delete</td></tr>
<tr class="separator:a62668ccc47b64a9094dcb6413f9af80b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5982c7c80ca71dfe2298babadad7a453"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a> () const</td></tr>
<tr class="separator:a5982c7c80ca71dfe2298babadad7a453"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a853be93ce33f71b5abede38081c79e9d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a> ()</td></tr>
<tr class="separator:a853be93ce33f71b5abede38081c79e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d3a907dbfcbb596077df24f6e11fe2"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a91d3a907dbfcbb596077df24f6e11fe2">describe</a> () const =0</td></tr>
<tr class="separator:a91d3a907dbfcbb596077df24f6e11fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a853be93ce33f71b5abede38081c79e9d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a> ()</td></tr>
<tr class="separator:a853be93ce33f71b5abede38081c79e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d3a907dbfcbb596077df24f6e11fe2"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a91d3a907dbfcbb596077df24f6e11fe2">describe</a> () const =0</td></tr>
<tr class="separator:a91d3a907dbfcbb596077df24f6e11fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a951095c462657e7097a9a6dc4dde813f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a951095c462657e7097a9a6dc4dde813f">m_cachedToString</a></td></tr>
<tr class="separator:a951095c462657e7097a9a6dc4dde813f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab65764dc245d85e2b268d3be870b650a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab65764dc245d85e2b268d3be870b650a">&#9670;&nbsp;</a></span>MatcherUntypedBase() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::Impl::MatcherUntypedBase::MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a985fd3c3ffcc9f2e8dc7a330130040b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a985fd3c3ffcc9f2e8dc7a330130040b0">&#9670;&nbsp;</a></span>MatcherUntypedBase() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::Impl::MatcherUntypedBase::MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a853be93ce33f71b5abede38081c79e9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a853be93ce33f71b5abede38081c79e9d">&#9670;&nbsp;</a></span>~MatcherUntypedBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::Matchers::Impl::MatcherUntypedBase::~MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab65764dc245d85e2b268d3be870b650a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab65764dc245d85e2b268d3be870b650a">&#9670;&nbsp;</a></span>MatcherUntypedBase() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::Impl::MatcherUntypedBase::MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a985fd3c3ffcc9f2e8dc7a330130040b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a985fd3c3ffcc9f2e8dc7a330130040b0">&#9670;&nbsp;</a></span>MatcherUntypedBase() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Matchers::Impl::MatcherUntypedBase::MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a853be93ce33f71b5abede38081c79e9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a853be93ce33f71b5abede38081c79e9d">&#9670;&nbsp;</a></span>~MatcherUntypedBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::Matchers::Impl::MatcherUntypedBase::~MatcherUntypedBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a91d3a907dbfcbb596077df24f6e11fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d3a907dbfcbb596077df24f6e11fe2">&#9670;&nbsp;</a></span>describe() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::Matchers::Impl::MatcherUntypedBase::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html#a33b685a1505a0afe06ded7e0d207bc14">Catch::Matchers::Vector::UnorderedEqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html#a33b685a1505a0afe06ded7e0d207bc14">Catch::Matchers::Vector::UnorderedEqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html#a760b0d1922d53b7ec327ac7418681c3f">Catch::Matchers::Vector::ApproxMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html#a760b0d1922d53b7ec327ac7418681c3f">Catch::Matchers::Vector::ApproxMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html#a398b5cc80200b3b45922c36bddcb4b37">Catch::Matchers::Vector::EqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html#a398b5cc80200b3b45922c36bddcb4b37">Catch::Matchers::Vector::EqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html#aa8ba33f6de86d0198b77023e1808933b">Catch::Matchers::Vector::ContainsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html#aa8ba33f6de86d0198b77023e1808933b">Catch::Matchers::Vector::ContainsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html#a4bcd9a471271ed4dadf5db7987baeeaa">Catch::Matchers::Vector::ContainsElementMatcher&lt; T, Alloc &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html#a4bcd9a471271ed4dadf5db7987baeeaa">Catch::Matchers::Vector::ContainsElementMatcher&lt; T, Alloc &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html#a1f788cd5258c987e5043f6c7f43adeb9">Catch::Matchers::StdString::RegexMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html#a1f788cd5258c987e5043f6c7f43adeb9">Catch::Matchers::StdString::RegexMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">Catch::Matchers::StdString::StringMatcherBase</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">Catch::Matchers::StdString::StringMatcherBase</a>, <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#af7d59e94892cc09471bbaefac4c889fd">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#af7d59e94892cc09471bbaefac4c889fd">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html#aeabbf5394d7dafebe874fef8a959fe8a">Catch::Matchers::Floating::WithinRelMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html#aeabbf5394d7dafebe874fef8a959fe8a">Catch::Matchers::Floating::WithinRelMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html#ad9bc8bb7f3abd326580a4bf6cf369b1b">Catch::Matchers::Floating::WithinUlpsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html#ad9bc8bb7f3abd326580a4bf6cf369b1b">Catch::Matchers::Floating::WithinUlpsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html#a206a738680f8767af31d3f1835afff3f">Catch::Matchers::Floating::WithinAbsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html#a206a738680f8767af31d3f1835afff3f">Catch::Matchers::Floating::WithinAbsMatcher</a>, <a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html#a3543441985ec877a781e660a403b1bae">Catch::Matchers::Exception::ExceptionMessageMatcher</a>, and <a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html#a3543441985ec877a781e660a403b1bae">Catch::Matchers::Exception::ExceptionMessageMatcher</a>.</p>

</div>
</div>
<a id="a91d3a907dbfcbb596077df24f6e11fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d3a907dbfcbb596077df24f6e11fe2">&#9670;&nbsp;</a></span>describe() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::Matchers::Impl::MatcherUntypedBase::describe </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html#a33b685a1505a0afe06ded7e0d207bc14">Catch::Matchers::Vector::UnorderedEqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html#a33b685a1505a0afe06ded7e0d207bc14">Catch::Matchers::Vector::UnorderedEqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html#a760b0d1922d53b7ec327ac7418681c3f">Catch::Matchers::Vector::ApproxMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html#a760b0d1922d53b7ec327ac7418681c3f">Catch::Matchers::Vector::ApproxMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html#a398b5cc80200b3b45922c36bddcb4b37">Catch::Matchers::Vector::EqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html#a398b5cc80200b3b45922c36bddcb4b37">Catch::Matchers::Vector::EqualsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html#aa8ba33f6de86d0198b77023e1808933b">Catch::Matchers::Vector::ContainsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html#aa8ba33f6de86d0198b77023e1808933b">Catch::Matchers::Vector::ContainsMatcher&lt; T, AllocComp, AllocMatch &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html#a4bcd9a471271ed4dadf5db7987baeeaa">Catch::Matchers::Vector::ContainsElementMatcher&lt; T, Alloc &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html#a4bcd9a471271ed4dadf5db7987baeeaa">Catch::Matchers::Vector::ContainsElementMatcher&lt; T, Alloc &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html#a1f788cd5258c987e5043f6c7f43adeb9">Catch::Matchers::StdString::RegexMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html#a1f788cd5258c987e5043f6c7f43adeb9">Catch::Matchers::StdString::RegexMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">Catch::Matchers::StdString::StringMatcherBase</a>, <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a47af030f8cea42a601ffb1000eea5cca">Catch::Matchers::StdString::StringMatcherBase</a>, <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#af7d59e94892cc09471bbaefac4c889fd">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#af7d59e94892cc09471bbaefac4c889fd">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html#aeabbf5394d7dafebe874fef8a959fe8a">Catch::Matchers::Floating::WithinRelMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html#aeabbf5394d7dafebe874fef8a959fe8a">Catch::Matchers::Floating::WithinRelMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html#ad9bc8bb7f3abd326580a4bf6cf369b1b">Catch::Matchers::Floating::WithinUlpsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html#ad9bc8bb7f3abd326580a4bf6cf369b1b">Catch::Matchers::Floating::WithinUlpsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html#a206a738680f8767af31d3f1835afff3f">Catch::Matchers::Floating::WithinAbsMatcher</a>, <a class="el" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html#a206a738680f8767af31d3f1835afff3f">Catch::Matchers::Floating::WithinAbsMatcher</a>, <a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html#a3543441985ec877a781e660a403b1bae">Catch::Matchers::Exception::ExceptionMessageMatcher</a>, and <a class="el" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html#a3543441985ec877a781e660a403b1bae">Catch::Matchers::Exception::ExceptionMessageMatcher</a>.</p>

</div>
</div>
<a id="a62668ccc47b64a9094dcb6413f9af80b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62668ccc47b64a9094dcb6413f9af80b">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a>&amp; Catch::Matchers::Impl::MatcherUntypedBase::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a62668ccc47b64a9094dcb6413f9af80b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62668ccc47b64a9094dcb6413f9af80b">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a>&amp; Catch::Matchers::Impl::MatcherUntypedBase::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5982c7c80ca71dfe2298babadad7a453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5982c7c80ca71dfe2298babadad7a453">&#9670;&nbsp;</a></span>toString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::Impl::MatcherUntypedBase::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5982c7c80ca71dfe2298babadad7a453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5982c7c80ca71dfe2298babadad7a453">&#9670;&nbsp;</a></span>toString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::Impl::MatcherUntypedBase::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a951095c462657e7097a9a6dc4dde813f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a951095c462657e7097a9a6dc4dde813f">&#9670;&nbsp;</a></span>m_cachedToString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Matchers::Impl::MatcherUntypedBase::m_cachedToString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">mutable</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
